# 火币生态链Heco

简体中文 | [English](README.md)

## 火币开放平台介绍
火币开放平台是基于火币集团的技术资源、流量资源和生态资源，向区块链行业陆续全面开放的基础设施统一平台。使去中心化应用的搭建效率更高成本更低，并在推广、流量、资源等方面进行全方位赋能。2020年12月，火币开放平台推出的第一个产品——火币生态链Heco正式启动“火种”阶段，后续火币开放平台将推出基于Layer2扩展方案的DEX及其他区块链基础设施。火币开放平台将为全球开发者提供更多元的创新设施和基础服务。

## 火币生态链Heco简介
火币生态链 Huobi ECO Chain (Heco) 是一个去中心化高效节能公链，也是火币开放平台推出的首个产品，在支撑高性能交易的基础上，实现智能合约的兼容。火币生态链Heco的原生数字资产为HT，采用HPoS共识机制。

## 宣言
助力开发者成长的每个阶段

## 愿景
技术创新是推动区块链行业前进的源动力，而诸多创新项目早期都饱受误解与忽视。我们见证过伟大项目的生长过程，回顾以太坊、波卡早期被质疑为山寨币，都经历过艰难时期。所以，Heco的使命不仅是一条公链，更加会倾注在优质开发者、早期创新项目的发掘和扶持上。Heco依托全球最大的交易生态，致力于成为创新技术、创新业务的发源地，构建一个技术开发、应用推广、交易的完整生态闭环。

## 火币生态链Heco性能
- TPS：500+
- 出块时间：3s

## 共识机制
采用HPoS共识机制，具有交易成本低、交易延时低、交易并发高等特点；
支持最大的验证人节点数量是 21个。

## 经济模型
链上原生代币是 HT；交易消耗 HT作为链上交易手续费；
通过质押HT来成为验证人节点。节点按照质押比例分配奖励，奖励是链上交易手续费。

## 跨链
可通过资产跨链桥，将ETH、BTC、稳定币等资产映射到Heco，实现方式为在源链上锁定一定数量的资产后在Heco生成对应数量的Token。
Heco鼓励社区开发者提供更多去中心化的跨链解决方案。

## 元交易功能
支持元交易功能，可以实现用户阶梯式减免链上交易手续费，减免部分由Heco代替用户支付。该功能可有效降低DApp开发者的迁移成本，可大幅降低用户使用DApp的成本。

## Heco技术特性
- 开放、去中心化的网络，维护网络和资产的安全；
- 支持EVM的可编程性，智能合约的兼容性，降低开发或迁移成本；
- 元交易功能：手续费减免，进一步降低开发者和用户的链上成本；
- 跨链资产传输，优化资产跨链体验。



## Heco的四个阶段
<table >
    <tr style="background:rgba(0,0,0,0)" ><th colspan=5>火币生态链Heco技术路线</th> </tr>
    <tr style="background:rgba(0,0,0,0)" >
<th > 阶段 </th><th> 特征 </th><th> 时间 </th><th> 阶段细分 </th><th> 技术能力 </th>
</tr>
<tr style="background:rgba(0,0,0,0)" >
<tr style="background:rgba(0,0,0,0)" ><td rowspan=9 >火种</td><td rowspan=9 >Heco的最初版本，系统稳定易用；

开发者可低成本进行DApp的开发与推广；

普通用户可低门槛参与Heco上的DApp</td><td rowspan=9 >2020 Q4-2021 Q1</td><td rowspan=3 >公开测试期</td><td>更高交易性能</td></tr>
<tr style="background:rgba(0,0,0,0)" ><td>更低交易成本</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>元交易补贴</td></tr>
<tr style="background:rgba(0,0,0,0)"> <td rowspan=3 >节点竞选期</td><td>更去中心化，更安全</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>主流资产完备</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>基础工具初具雏形</td></tr>
<tr style="background:rgba(0,0,0,0)"> <td rowspan=3 >生态孵化期</td><td>技术服务体系化</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>基础工具定制化</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>资产流转便捷化</td></tr>

<tr style="background:rgba(0,0,0,0)"><td rowspan=5 > 星火  </td><td rowspan=5 > 协议进一步优化，Heco将肩负联通CeFi与DeFi，

让更多用户低门槛使用DeFi应用的使命  </td> <td rowspan=5 >2021 Q3 </td> <td rowspan=5 > 待公布  </td> <td>开发者工具完备</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>开发者论坛、博客、FAQ信息完备</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>链生态基础设施繁荣</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>创新型Open ID</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>个性化入口精准匹配用户和DApp</td></tr>

<tr style="background:rgba(0,0,0,0)"><td rowspan=3>烈焰</td> <td rowspan=3>拓展性能，同时保留分布式协议的去中心化优势</td><td rowspan=3>2022 Q2</td><td rowspan=3>待公布</td><td>跨链互操作协议</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>跨链互操作集成</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>共识协议升级</td></tr>
<tr style="background:rgba(0,0,0,0)"><td rowspan=5>燎原</td> <td rowspan=5>更大规模的商业应用与落地，

支撑多种传统业务在链上顺利运行</td> <td rowspan=5>2023 Q1</td> <td rowspan=5>待公布</td><td>多虚拟机支持</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>多种零知识证明和隐私保护能力</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>多种签名方案</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>存储压缩和扩容方案</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>多维度分片方案</td></tr>

</table>



## 火币生态链Heco当前的阶段
2020年12月，火币生态链Heco正式启动“火种”阶段，该阶段阶段将专注完善链上基础设施，包括但不限于：预言机、投票工具、锚定币、DEX、借贷、理财、保险、合成资产、跨链解决方案、数据分析、智能合约创新等等

## 火币生态链Heco扶持规划
### 资金扶持规划
- 火币生态链Heco将设立专项基金，投资、扶持、激励优质开发者
- 火币生态链Heco将推出多种开发者活动与大赛，发掘、资助全球潜力开发者
- 为降低大用户在Heco Dapp上的参与成本，Heco元交易功能将对持有HT的用户的Gas fee阶梯式减免
### 流量扶持规划
HuobiGlobal将大力支持火币生态链Heco的发展
- 在站内为对Heco上的优质Dapp提供流量入口
- 优质项目在Heco顺利运行后可向HuobiGlobal提交上币申请，满足上币条件即可登录主站
### 资源扶持规划
- 获得投资、扶持的项目或开发者不仅能获得官方报道，还可向官方申请营销服务包，并在全球范围内宣传项目
- 优质项目可免费参与Heco全球路演活动
- 火币集团将开放生态资源，撮合优质开发者与生态伙伴的合作与共赢
火币生态链Heco将依托全球最大的交易生态，致力于成为创新技术、创新业务的发源地，构建一个技术开发、应用推广、交易的完整生态闭环。


## 在社交媒体上与我们互动
- Facebook：Huobi Eco Chain
- Twitter：Huobi_EcoChain
- Telegram： HuobiEcoChain
- 微博：火币生态链Heco
- 公众号：Huobi Eco Heco


## 风险提示
- 所有用户及开发者都可以免费参与火币生态链Heco的测试环境与后续阶段，不存在收费场景。
- 大家务必区分好测试环境和主网环境，测试环境所产生的资产不具备任何价值，谨防假币诈骗；
- 火币生态链Heco将通过官方社交平台公布授权、推介等合作，开发者和用户谨慎核对，以免造成损失；
- 认准官方网址（hecochain.com），避免出现私钥被钓鱼等情况。
